      subroutine lmd_bkpp_tile (Istr,Iend,Jstr,Jend, Kv,Kt,Ks,
     &                     Gm1,dGm1dS, Gt1,dGt1dS, Gs1,dGs1dS,
     &                        wm,ws, my_hbbl,my_kbbl,wrk, Rib)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_bkpp_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kv
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kt
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Ks
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Gm1
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: dGm1dS
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Gt1
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: dGt1dS
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Gs1
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: dGs1dS
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wm
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: ws
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: my_hbbl
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: my_kbbl
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: Rib
      

        call Sub_Loop_lmd_bkpp_tile(Istr,Iend,Jstr,Jend,Kv,Kt,Ks,Gm1,dGm
     &1dS,Gt1,dGt1dS,Gs1,dGs1dS,wm,ws,my_hbbl,my_kbbl,wrk,Rib, Agrif_tab
     &vars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13
     &)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(119)%array3, 
     &Agrif_tabvars_i(243)%iarray2, Agrif_tabvars(120)%array2, Agrif_tab
     &vars(81)%array2, Agrif_tabvars(77)%array2, Agrif_tabvars(113)%arra
     &y2, Agrif_tabvars(122)%array3, Agrif_tabvars(149)%array4, Agrif_ta
     &bvars_i(153)%iarray0, Agrif_tabvars(150)%array4, Agrif_tabvars(140
     &)%array3, Agrif_tabvars_r(12)%array0, Agrif_tabvars(146)%array3, A
     &grif_tabvars(142)%array3, Agrif_tabvars(257)%array2, Agrif_tabvars
     &(258)%array2, Agrif_tabvars(121)%array2, Agrif_tabvars_l(13)%larra
     &y0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agri
     &f_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_lmd_bkpp_tile.h"
